org.eclipse.microprofile.context.spi

## Interface ContextManager

    public interface ContextManager

`ContextManager` instances can be used to create `newManagedExecutorBuilder()` or `newThreadContextBuilder()`. Each `ContextManager` instance has its own set of `ThreadContextProvider` as defined during building with `ContextManager.Builder.build()` or `ContextManagerProvider.getContextManager()`.

See Also:
  `ContextManagerProvider.getContextManager()`, `ContextManager.Builder`

### Nested Class Summary

Nested Classes
`static interface` `ContextManager.Builder` Use this class to configure instances of `ContextManager`.

### Method Summary

All Methods Instance Methods Abstract Methods
`ManagedExecutor.Builder` `newManagedExecutorBuilder()` Creates a new `ManagedExecutor.Builder` instance.
`ThreadContext.Builder` `newThreadContextBuilder()` Creates a new `ThreadContext.Builder` instance.

### Method Detail

#### newManagedExecutorBuilder

    ManagedExecutor.Builder newManagedExecutorBuilder()

Creates a new `ManagedExecutor.Builder` instance.

Returns:
  a new `ManagedExecutor.Builder` instance.

#### newThreadContextBuilder

    ThreadContext.Builder newThreadContextBuilder()

Creates a new `ThreadContext.Builder` instance.

Returns:
  a new `ThreadContext.Builder` instance.